java.nio.channels

## Class Pipe.SinkChannel

- java.lang.Object
- - java.nio.channels.spi.AbstractInterruptibleChannel
  - - java.nio.channels.SelectableChannel
    - - java.nio.channels.spi.AbstractSelectableChannel
      - - java.nio.channels.Pipe.SinkChannel

- All Implemented Interfaces:
    Closeable, AutoCloseable, Channel, GatheringByteChannel, InterruptibleChannel, WritableByteChannel
  Enclosing class:
    Pipe

      public abstract static class Pipe.SinkChannel
      extends AbstractSelectableChannel
      implements WritableByteChannel, GatheringByteChannel

  A channel representing the writable end of a `Pipe`.
  Since:
    1.4

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Pipe.SinkChannel(SelectorProvider provider)` Initializes a new instance of this class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `validOps()` Returns an operation set identifying this channel's supported operations.

    - ### Methods inherited from class java.nio.channels.spi.AbstractSelectableChannel

      `blockingLock, configureBlocking, implCloseChannel, implCloseSelectableChannel, implConfigureBlocking, isBlocking, isRegistered, keyFor, provider, register`

    - ### Methods inherited from class java.nio.channels.SelectableChannel

      `register`

    - ### Methods inherited from class java.nio.channels.spi.AbstractInterruptibleChannel

      `begin, close, end, isOpen`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.nio.channels.GatheringByteChannel

      `write, write`

    - ### Methods inherited from interface java.nio.channels.WritableByteChannel

      `write`

    - ### Methods inherited from interface java.nio.channels.Channel

      `close, isOpen`

- - ### Constructor Detail

    - #### Pipe.SinkChannel

          protected Pipe.SinkChannel(SelectorProvider provider)

      Initializes a new instance of this class.

  - ### Method Detail

    - #### validOps

          public final int validOps()

      Returns an operation set identifying this channel's supported operations.

      Pipe-sink channels only support writing, so this method returns `SelectionKey.OP_WRITE`.

      Specified by:
        `validOps` in class `SelectableChannel`
      Returns:
        The valid-operation set

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2019, Oracle and/or its affiliates. All rights reserved.